using System;
using System.Collections;
using System.Xml;

namespace TSP
{
	/// <summary>
	/// Ova klasa slui samo za otvaranje XML ulazne datoteke
	/// </summary>
	public class gradovi
	{
		private XmlDocument document;
		private string fileName;
		/// <summary>
		/// Konstruktor koji stvara novi XML objekt
		/// </summary>
		public gradovi( string file)
		{
			fileName = file;

			this.document = new XmlDocument();
			try
			{
				document.Load(this.fileName);
			}
			catch (Exception ex)
			{
				throw new Exception("Ne mogu otvoriti datoteku! Err Msg:" + ex.Message);
			}
		}

		/// <summary>
		/// Metoda koja vrea traeni podatak iz XML objekta
		/// </summary>
		public string GetValue(string section, string name)
			{
				try
				{
					return this.document.DocumentElement.SelectSingleNode(section + "/" + name).InnerText;
				}
				catch (Exception ex)
				{
					return ex.Message;
				}
			}
		


	}
}
